
#import "CrazyMander.h"
#import "XoxWars.h"
#import "XWShip.h"

@implementation CrazyMander

- oneStep:scenario
{
  extern float randBetween(float a, float b);
	int n = [ships count];
	while (n--) {
		id ship = [ships objectAt:n];
		int flag = randBetween(0.0, 4.0);
		[ship setThrusting:NO time:0.0];

		switch(flag)	{
			BOOL yn; 
		  int LR;
			case 0:		// change rotation
				yn = (randBetween(0.0,2.0)<1.0) ? YES : NO;
				LR = (randBetween(0.0,2.0)<1.0) ? LEFT : RIGHT;
				[ship setTurning:LR down:yn time:0.0];
				break;
			case 1:		// fire - need shields off!
				if ([scenario bullets:[ship alliance]] < 5) {
				 [ship setShields:NO];
				 [ship fire];
				}
				break;
			case 2:		// thrust
				[ship setThrusting:YES time:0.0];
				break;
   	 default:
			case 3:		// shields
				[ship setShields:YES];
				break;
	  }
	}	// next ship
  return self;
}

@end
